Bug 13850 - C4::Ris does not manage correctly 660 and 661 - UNIMARC
Summary: C4::Ris does not manage correctly 660 and 661 - UNIMARC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-17 10:57 UTC by Jonathan Druart
Modified: 2015-12-03 22:02 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13850: Fix typo in C4::Ris (1.28 KB, patch)
2015-03-17 10:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13850: Fix typo in C4::Ris (1.33 KB, patch)
2015-03-30 17:32 UTC, M. Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 13850: Fix typo in C4::Ris (1.40 KB, patch)
2015-04-06 09:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-03-17 10:57:17 UTC
In C4/Ris.pm:
  @field_list = ('600', '601', '602', '604', '605', '606','607', '608', '610', '615', '620', '660'. '661', '670', '675', '676', '680', '686');

Note the 
  '660'. '661'
instead of
  '660', '661'
Comment 1 Jonathan Druart 2015-03-17 10:58:41 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2015-03-30 17:32:43 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-04-06 09:46:08 UTC
Created attachment 37521 [details] [review]
[PASSED QA] Bug 13850: Fix typo in C4::Ris

In C4/Ris.pm:
  @field_list = ('600', '601', '602', '604', '605', '606','607', '608',
  '610', '615', '620', '660'. '661', '670', '675', '676', '680', '686');

Note the
  '660'. '661'
instead of
  '660', '661'

Test plan:
Add a 660 and 661 field to a record and export it in RIS
The 660 and 661 field should be displayed (after "KW").

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-04-08 14:00:48 UTC
Patch pushed to master.

Good catch Jonathan!
Comment 5 Chris Cormack 2015-04-11 03:03:02 UTC
Pushed to 3.18.x will be in 3.18.6